<div class="dialog-content-wrapper">
    <mat-toolbar matDialogTitle class="mat-accent m-0">
        <mat-toolbar-row fxLayout="row" fxLayoutAlign="space-between center">
            <span class="title dialog-title">{{dialogTitle}}</span>
            <button mat-icon-button (click)="matDialogRef.close()" aria-label="Close dialog">
                <mat-icon>close</mat-icon>
            </button>
        </mat-toolbar-row>

       
    </mat-toolbar>

    <div mat-dialog-content class="p-24 pb-0 m-0" >

        <form [formGroup]="formGroup">

            <div fxLayout="row" fxLayoutAlign="start start">
                <mat-form-field appearance="outline" fxFlex>
                    <mat-label>name</mat-label>
                    <mat-icon matSuffix class="secondary-text">name</mat-icon>
                    <textarea name="detail" formControlName="name" matInput required>
                    </textarea>
                </mat-form-field>
            </div>

            <!-- <div fxLayout="row" class="textarea-wrapper" fxLayoutAlign="start start">
                <mat-form-field appearance="outline" fxFlex>
                    <mat-label>type</mat-label>
                    <mat-select name="type" formControlName="type"  >
                        <mat-option value="Infos" selected="selected">Infos</mat-option>
                        <mat-option value="Urgent">Urgent</mat-option>
                    </mat-select>
                </mat-form-field>
            </div> -->

        </form>

    </div>

    <div mat-dialog-actions class="m-0 p-16" fxLayout="row" fxLayoutAlign="end center">

        <button *ngIf="action === 'edit'" mat-button class="mr-8"
                (click)="matDialogRef.close(['delete',formGroup])" aria-label="Delete" matTooltip="Delete">
            DELETE
        </button>

        <button *ngIf="action !== 'edit'" mat-button class="save-button"
                (click)="matDialogRef.close(formGroup)"
                [disabled]="formGroup.invalid" aria-label="SAVE">
            ADD
        </button>

        <button *ngIf="action === 'edit'" mat-button class="save-button"
                (click)="this.matDialogRef.close(['save', this.formGroup])
    " [disabled]="formGroup.invalid"
                aria-label="SAVE">
            SAVE
        </button>

    </div>
</div>